Skip to content

Linux Kernel 2.6.25 on Gentoo sparc (error: -m64 is not supported by this configuration)

I wanted to try the new 2.6.25 kernel on a Sunblade 100 I'm reinstalling. But immediately after entering "make" I got the following error:
arch/sparc64/kernel/asm-offsets.c:1: error: -m64 is not supported by this configuration
arch/sparc64/kernel/asm-offsets.c:1: error: -mlong-double-64 not allowed with -m64
arch/sparc64/kernel/asm-offsets.c:1: error: -mcmodel= is not supported on 32 bit systems
make[1]: *** [arch/sparc64/kernel/asm-offsets.s] Error 1
make: *** [prepare0] Error 2


I found the solution here, along with the explanation. To make it short, to get it to work, for now you'll have to type:
 # CROSS_COMPILE=sparc64-unknown-linux-gnu- make


  • Twitter
  • Bookmark Linux Kernel 2.6.25 on Gentoo sparc (error: -m64 is not supported by this configuration) at del.icio.us
  • Facebook
  • Google Bookmarks
  • FriendFeed
  • Digg Linux Kernel 2.6.25 on Gentoo sparc (error: -m64 is not supported by this configuration)
  • Mixx Linux Kernel 2.6.25 on Gentoo sparc (error: -m64 is not supported by this configuration)
  • Bloglines Linux Kernel 2.6.25 on Gentoo sparc (error: -m64 is not supported by this configuration)
  • Technorati Linux Kernel 2.6.25 on Gentoo sparc (error: -m64 is not supported by this configuration)
  • Fark this: Linux Kernel 2.6.25 on Gentoo sparc (error: -m64 is not supported by this configuration)
  • Bookmark Linux Kernel 2.6.25 on Gentoo sparc (error: -m64 is not supported by this configuration) at YahooMyWeb
  • Bookmark Linux Kernel 2.6.25 on Gentoo sparc (error: -m64 is not supported by this configuration) at Furl.net
  • Bookmark Linux Kernel 2.6.25 on Gentoo sparc (error: -m64 is not supported by this configuration) at reddit.com
  • Bookmark Linux Kernel 2.6.25 on Gentoo sparc (error: -m64 is not supported by this configuration) at blinklist.com
  • Bookmark Linux Kernel 2.6.25 on Gentoo sparc (error: -m64 is not supported by this configuration) at Spurl.net
  • Bookmark Linux Kernel 2.6.25 on Gentoo sparc (error: -m64 is not supported by this configuration) at NewsVine
  • Bookmark Linux Kernel 2.6.25 on Gentoo sparc (error: -m64 is not supported by this configuration) at Simpy.com
  • Bookmark Linux Kernel 2.6.25 on Gentoo sparc (error: -m64 is not supported by this configuration) at blogmarks
  • Bookmark Linux Kernel 2.6.25 on Gentoo sparc (error: -m64 is not supported by this configuration) with wists
  • wong it!
  • Bookmark using any bookmark manager!
  • Stumble It!
  • Print this article!
  • E-mail this story to a friend!
  • Identi.ca

Trackbacks

linuxdistros.info on : PingBack

Unfortunately, the contents of this trackback can not be displayed.

Comments

Display comments as Linear | Threaded

Domi on :

Thanks.. ;-)

I had the same problem, too ;-)

Jon Eicher on :

I was also installing Gentoo on A SunBlade 100 and ran into the same problem. Thank you for posting the workaround.

CyberPunk on :

Thanks. It helped to Semo :-)

Semo on :

Wow! It's realy helpfull :-)
10x 2 Cyber and you! :-)

Missael on :

Thank you.

The author does not allow comments to this entry

Add Comment

Enclosing asterisks marks text as bold (*word*), underscore are made via _word_.
Standard emoticons like :-) and ;-) are converted to images.

To prevent automated Bots from commentspamming, please enter the string you see in the image below in the appropriate input box. Your comment will only be submitted if the strings match. Please ensure that your browser supports and accepts cookies, or your comment cannot be verified correctly.
CAPTCHA

Form options